import Configuration from '../configuration.js';
import setupSession from './setup-session.js';
import Adaptive from '../session-stores/adaptive.js';
import LocalStorage from '../session-stores/local-storage.js';
import Cookie from '../session-stores/cookie.js';

var emberSimpleAuth = {
  name: 'ember-simple-auth',
  initialize(registry) {
    const ENV = registry.resolveRegistration('config:environment');
    const config = ENV['ember-simple-auth'] || {};
    config.rootURL = ENV.rootURL || ENV.baseURL;
    Configuration.load(config);
    registry.register('session-store:adaptive', Adaptive);
    registry.register('session-store:cookie', Cookie);
    registry.register('session-store:local-storage', LocalStorage);
    setupSession(registry);
  }
};

export { emberSimpleAuth as default };
//# sourceMappingURL=ember-simple-auth.js.map
